API Documentation
Toggle TOC panel
<access-service>/api/v1/ldap/{ldapconnectionId}

URL structure

1 https://access-service.xy-company.com/api/v1/ldap/{ldapconnectionId}

where {ldapconnectionId} is the ID of a LDAP connection.

Supported methods and overview

  • GET - used to retrieve information about an existing LDAP connection, based on the connection's ID.
  • PUT - used to modify the fields of an existing LDAP connection.

Note: The GET method takes no parameters.

Detailed description

This API endpoint serves a number of purposes:

  • Retrieves information about an existing LDAP connection, using the LDAP connection's ID. An LDAP connection's ID can be obtained by calling the GET method of the <access-service>/api/v1/ldap API endpoint, which retrieves a list of field information for all LDAP connections configured on the Covata Platform.
    Tip: All information returned in the response from a GET method call to this API endpoint is also returned in the response from the GET method call to the <access-service>/api/v1/ldap endpoint. Therefore, there is no need to call the GET method on this API endpoint (if you do not already have the LDAP connection's ID).
  • Modifies the fields of an existing LDAP connection, based on the LDAP connection's ID.
    Note: When modifying the fields of an existing LDAP connection, all LDAP connection parameters must be submitted with the request, even if most of their values are not being modified. If a parameter's value is not being modified, obtain its existing value using the GET method of this API endpoint (or the <access-service>/api/v1/ldap endpoint) and once the relevant value has been obtained from the response, submit it with the relevant parameter in the PUT request to this API endpoint.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
    where the Bearer token is the appropriate access token.
  • Content-Type: application/json

Required parameters

The following required parameters must be sent in the body of the PUT request, each as individual members of a JSON object:

  • accountNameField - .
  • authFilter - .
  • baseDN - .
  • domain - .
  • emailField - .
  • fullnameField - .
  • managerDN - .
  • managerPassword - .
  • serverTimeout - .
  • serverUrl - .
  • statusDisabledValue - .
  • statusField - .
  • syncFilter - .
  • userPrincipalNameField - .

    Example ():

Returns

A JSON-formatted response containing the following members:

  • id - .
  • serverUrl - .
  • serverTimeout - .
  • baseDN - .
  • authFilter - .
  • managerDN - .
  • managerPassword - .
  • syncFilter - .
  • domain - .
  • enabled - .
  • accountNameField - .
  • emailField - .
  • userPrincipalNameField - .
  • fullnameField - .
  • statusField - .
  • statusDisabledValue - .

    Example (response from ...):